Bug 477598 - Something is being impatient when unmounting slower volumes
Something is being impatient when unmounting slower volumes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 06:22 EST by James Ettle
Modified: 2015-03-03 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error being displayed on USB flash drive unmount (1.89 MB, image/png)
2009-06-12 12:48 EDT, Mace Moneta
no flags Details

  None (edit)
Description James Ettle 2008-12-22 06:22:57 EST
Description of problem:
One of either nautilus, dbus or hal is timing out too hastily when unmounting slower volumes with a large amount of data yet to be synced. After a while, I get the error message

    Unable to unmount <slow volume label>

    DBus error org.freedesktop.DBus.Error.NoReply: Did
    not receive a reply. Possible causes include: the
    remote application did not send a reply, the message
    bus security policy blocked the reply, the reply
    timeout expired, or the network connection was
    broken.

The device does unmount successfully. I don't see this with faster devices.

Version-Release number of selected component (if applicable):
nautilus-2.24.2-1.fc10.x86_64
dbus-1.2.4-2.fc10.x86_64
hal-0.5.12-12.20081027git.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Find a slower volume (such as a cheap USB stick).
2. Write a lot of data to it.
3. Unmount via nautilus and wait.
  
Actual results:
Error message described.

Expected results:
System waits patiently until the job is done (so the timeout needs to be *much* higher, or use some intelligent measure based upon the device's performance).
Comment 1 Mace Moneta 2009-06-12 12:48:44 EDT
Created attachment 347614 [details]
Error being displayed on USB flash drive unmount

I'm seeing this in Fedora 11 as well, if you want to update the release.  The attached screenshot shows data being written when the error pops up.  After the data write completes, the "Writing data to..." message clears, but the error remains until acknowledged manually.
Comment 2 Bug Zapper 2010-04-27 08:36:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:00:58 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.